Lynkoa

Equations et Data Sheet
  • Topic:
    • SOLIDWORKS

  • 5 réponses
  • 182 vues

Par LSE_BR Le 10 janvier 2022

bonjour,

je réccupère dans Equation au niveau des variable globales la valeur lue dans TXD1@Schéma2. J'appelle cette variable Donnée1

J'utilise cette valeur dans mon calcul et récupére calcul1 et calcul2

j'aimerai en fonction de la valeur de Donnée1 faire apparaitre Calcul1 ou Calcul2 dans les paramètres de ma DataSheet. Cela est il possible ? avec quelle syntaxe? sans passer par la famille de pièces

Merci de votre retour

Cordialement

 

LSE

Réponses

LSE_BR | 585 point(s)

bonjour

Pardon, je pensais que ma réponse avait été validée. J'ai pas du bien cliquer....

on obtient la table en faisant Fichier - propriété.

J'n profite pour une 2eme question : comment supprimer définitivement une ligne de ce tableau pour toutes les configurations ? 

merci d'avance de votre aide

bonne journée

LSE

Lynk | 4689 point(s)

Bonjour, 

Une piste serait d'utiliser la fonction IIf() dans "équation" puis assigner le résultat dans "propriété personnalisée" 

Lynk | 4689 point(s)

Pour la suppression de propriétés c'est sélectionner la ligne puis supprimer, je pense qu'en a pas le choix c'est a faire pour chaque configuration,

(ça serait mieux d'ignorer cette propriété non ?)

Une nouvelle discussion t'apportera sûrement plus d'aide, 

froussel | 6771 point(s)

Et pour supprimer une propriété dans toutes les configurations, il faut passer par une macro.

Voir exemple ci dessous pour virer la propriété "Révision":

' ----------------------------------------------

' Postconditions: The custom property Input1 is added to the file.

' NOTE: Because configurations are not supported in drawings, pass a blank string when the file is a drawing.

'------------------------------------------------

Dim swApp       As SldWorks.SldWorks

Dim swModel     As SldWorks.ModelDoc2

Dim retval      As String

   Dim vConfigNameArr              As Variant

    Dim vConfigName                 As Variant

    Dim swActiveConf                As SldWorks.Configuration

    Dim swConf                      As SldWorks.Configuration

    Dim swConfMgr                   As SldWorks.ConfigurationManager

    Dim swDerivConf                 As SldWorks.Configuration
    
    Dim swConfig                    As SldWorks.Configuration
    
    Dim bRet                        As Boolean

 

Sub main()
Set swApp = Application.SldWorks

Set swModel = swApp.ActiveDoc

    Set swConfMgr = swModel.ConfigurationManager

     Set swConfig = swConfMgr.ActiveConfiguration

    

    vConfigNameArr = swModel.GetConfigurationNames


retval = swModel.AddCustomInfo3("", "Révision", swCustomInfoText, "-")

    vConfigNameArr = swModel.GetConfigurationNames

 For Each vConfigName In vConfigNameArr

        Set swConf = swModel.GetConfigurationByName(vConfigName)

        

        ' Do not assert; will be NULL if (derived) configuration already exists

retval = swModel.DeleteCustomInfo2(swConf.Name, "Révision")
     

    Next


MsgBox retval


End Sub

' ----------------------------------------------